Skip to navigation

Delete multiple user authorizations

View as Markdown

Delete one or more user authorizations for a given principal user. The principal user is specified by the userId path parameter.

To call this endpoint, you must be an account administrator or you must be the principal user for the specified authorizations.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

userIdstringRequired
The ID of the principal user.

Request

This endpoint expects an object: userAuthorizationsDeleteRequest

authorizationslist of stringsOptional
sendNotificationstringOptional

Response

Successful response.
resultslist of objectsOptional

Errors

400
Bad Request Error